Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlxt
Class WLXT

    java.lang.Object
      |
      +--com.bea.wlxt.WLXT

public class WLXT
extends java.lang.Object
implements XT

BEA WebLogic XML/non-XML Translator (WLXT) is a data translation engine. WLXT is capable of translating binary data to XML or translating XML data to a binary format.

Binary data is translated to XML according to an Message Format Language (MFL) document. MFL is an XML language that describes the organization and layout of binary data in terms of structures and fields. WLXT can convert binary data to XML using an MFL document. WLXT can also serialize XML data to a binary format that is described by a MFL document. The FormatBuilder GUI tool is used to create MFL documents.

To translate binary data to XML:

1. Use FormatBuilder to document the layout of the binary data.
2. Invoke one of WLXT's parse() methods with the MFL document (by URL) and an instance of the binary data. A Document object is returned.

To translate XML to binary:1

1. Use FormatBuilder to document the layout of the binary data.
2. Invoke one of WLXT's serialize() methods with the MFL document (by URL), the XML data, and an OutputStream. The XML data is translated to the binary and written to the given OutputStream.

For better performance, initialize the WLXT object with MFL documents via one of the init() methods. This allows the MFL documents to be pre-parsed and cached.

WLXT can also be used to perform XSLT transformations. WLXT includes several transform() methods that will apply an XSL stylesheet to a given XML document.

Any product that redistributes this component should reproduce the Apache Software License copyright in the documentation and/or other materials provided with the distribution.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`WLXT()` Construct an WLXT object

Method Summary
`void` | `addMFLDocument(java.net.URL mflDocumentURI)` Add a MFL document to the cache.
`void` | `addMFLDocument(java.net.URL mflDocumentURI, org.xml.sax.InputSource mflInput)` Add a MFL document to the cache.
`void` | `addMFLDocument(java.net.URL mflDocumentURI, java.io.InputStream mflInput)`
`void` | `addMFLDocument(java.net.URL mflDocumentURI, com.bea.wlxt.mfl.MFLRoot mfl)` Add a MFL document to the cache.
`void` | `addMFLDocument(java.net.URL mflDocumentURI, java.io.Reader mflInput)`
`static void` | `addNewDataType(java.lang.String name, Bintype binType)` Add a new User Defined Type to the WLXT runtime engine.
`void` | `addStylesheet(java.net.URL stylesheetURI)` Add a single stylesheet to the cache.
`void` | `addStylesheet(java.net.URL stylesheetURI, org.xml.sax.InputSource stylesheetInput)` Add a single stylesheet to the cache.
`static void` | `checkDeveloperLicense()`
`void` | `clearMFLCache()` Clear the MFL cache to that new documents will be fully parsed.
`java.lang.String` | `extractEncodingFromXMLSource(java.io.File file)` This method extracts the xml declaration from a File object and passes it to the overloaded version of the method as a String.
`java.lang.String` | `extractEncodingFromXMLSource(java.lang.String text)` This method takes a String of a file's content, and extracts the encoding name.
`java.lang.String` | `extractEncodingFromXMLSource(java.net.URL mflDoc)` This method extracts the xml declaration from a URL object and passes it to the overloaded version of the method as a String.
`com.bea.wlxt.mfl.MFLRoot` | `getMFLDocument(java.net.URL mflDocumentURI)`
`static java.lang.String` | `getXMLText(org.w3c.dom.Document document, int initialIndent, int indent)` Convert a DOM Document object to XML text.
`void` | `init(java.util.Properties properties)` Initialize the WLXT with a Properties object.
`void` | `init(java.lang.String filename)` Initialize WLXT with a Properties file.
`org.w3c.dom.Document` | `parse(java.net.URL mflURI, java.io.InputStream binaryInput, java.io.PrintWriter debug)` Parse binary data given in binaryInput argument using the MFL document specified by mflURI.
`org.w3c.dom.Document` | `parse(java.net.URL mflURI, java.io.InputStream binaryInput, java.io.PrintWriter debug, boolean escape)` Parse binary data given in binaryInput argument using the MFL document specified by mflURI.
`org.w3c.dom.Document` | `parse(java.net.URL mflURI, java.io.InputStream binaryInput, java.lang.String dtdSystemId, java.io.PrintWriter debug)` Parse binary data given in binaryInput argument using the MFL document specified by mflURI.
`org.w3c.dom.Document` | `parse(java.net.URL mflURI, java.io.InputStream binaryInput, java.lang.String defaultNamespace, java.lang.String schemaLocation, java.io.PrintWriter debug)` Parse binary data given in binaryInput argument using the MFL document specified by mflURI.
`static void` | `printDOM(org.w3c.dom.Document document, java.io.PrintWriter out)` Convert a DOM Document object to XML text.
`static void` | `printDOM(org.w3c.dom.Document document, java.io.PrintWriter out, int initialIndent, int indent)` Convert a DOM Document object to XML text.
`static void` | `printDOM(org.w3c.dom.Node node, java.io.PrintWriter out, int level, int initialIndent, int indent, java.lang.String encoding)`
`void` | `reinit(java.util.Properties properties)` Reinitialize the entire cache.
`void` | `reinitStylesheet(java.net.URL stylesheetURI)` Reinitialize a single stylesheet.
`static void` | `removeDataType(java.lang.String name)` Remove a User Defined Type from the WLXT engine.
`void` | `serialize(java.net.URL mflURI, org.w3c.dom.Document document, java.io.OutputStream binaryOutput, java.io.PrintWriter debug)` Serialize the XML data (given in document argument) to the binary format specified by the MFL document (mflURI).
`void` | `serialize(java.net.URL mflURI, org.xml.sax.InputSource xmlInput, java.io.OutputStream binaryOutput)` Serialize the XML data (given in xmlInput argument) to the binary format specified by the MFL document (mflURI).
`void` | `serialize(java.net.URL mflURI, org.xml.sax.InputSource xmlInput, java.io.OutputStream binaryOutput, java.io.PrintWriter debug)` Serialize the XML data (given in xmlInput argument) to the binary format specified by the MFL document (mflURI).
`void` | `serialize(java.net.URL mflURI, java.io.InputStream xmlInput, java.io.OutputStream binaryOutput)` Serialize the XML data (given in xmlInput argument) to the binary format specified by the MFL document (mflURI).
`void` | `serialize(java.net.URL mflURI, java.io.InputStream xmlInput, java.io.OutputStream binaryOutput, java.io.PrintWriter debug)` Serialize the XML data (given in xmlInput argument) to the binary format specified by the MFL document (mflURI).
`static java.lang.String` | `stringDOM(org.w3c.dom.Document doc, int initIndent, int indent)` Convert a DOM Document object to an XML String.
`static java.lang.String` | `stringDOM(org.w3c.dom.Document doc, int initIndent, int indent, java.lang.String encoding)` Convert a DOM Document object to an XML String.
`void` | `transform(org.w3c.dom.Document document, java.io.OutputStream out, java.net.URL stylesheetURI)` Perform an XSLT transformation on the document argument using the specified stylesheet.
`org.w3c.dom.Document` | `transform(org.w3c.dom.Document document, java.net.URL stylesheetURI)` Perform an XSLT transformation on the document argument using the specified stylesheet.
`void` | `transform(org.xml.sax.InputSource xmlInput, java.io.OutputStream out, java.net.URL stylesheetURI)` Perform an XSLT transformation on the XML input argument using the specified stylesheet.
`org.w3c.dom.Document` | `transform(org.xml.sax.InputSource xmlInput, java.net.URL stylesheetURI)` Perform an XSLT transformation on the document argument using the specified stylesheet.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WLXT

    public WLXT()
         throws java.lang.RuntimeException

  Construct an WLXT object

  Note: License checking is performed at construction. RuntimeException is thrown if license is invalid.

Method Detail

### init

    public void init(java.util.Properties properties)
              throws WLXTException

  Initialize the WLXT with a Properties object.
  Specified by:
    init in interface XT

  Parameters:
    `properties` - Properties object containing the property 'WLXT.stylesheets' and/or 'WLXT.MFLDocuments'.
  Throws:
    WLXTException - If an error occurs accessing a specified stylesheet or MFL document.
  See Also:
    `Properties`

### init

    public void init(java.lang.String filename)
              throws WLXTException

  Initialize WLXT with a Properties file. The properties file should contain the property 'WLXT.stylesheets' and/or 'WLXT.MFLDocuments'. The stylesheets listed in the 'WLXT.stylesheets' property are precompiled and cached internally. The MFL documents listed in the 'WLXT.MFLDocument' property are also precompiled and cached internally.
  Specified by:
    init in interface XT

  Parameters:
    `filename` - The name of the properties file
  Throws:
    WLXTException - If an error occurs accessing a specified stylesheet or MFL document.

### reinitStylesheet

    public void reinitStylesheet(java.net.URL stylesheetURI)
                          throws WLXTException

  Reinitialize a single stylesheet. This method causes the specified stylesheet to be reloaded into the cache.
  Specified by:
    reinitStylesheet in interface XT

  Parameters:
    `stylesheetURI` - The unique resource identifier for the stylesheet
  Throws:
    WLXTException - If an error occurs accessing the specified stylesheet.
  See Also:
    `URL`

### reinit

    public void reinit(java.util.Properties properties)
                throws WLXTException

  Reinitialize the entire cache. This method causes all stylesheets and MFL documents to be reloaded into the cache. The properties object should contain the property 'WLXT.stylesheets' and/or 'WLXT.MFLDocuments'.
  Specified by:
    reinit in interface XT

  Parameters:
    `properties` - Properties object containing the property WLXT.stylesheets and/or WLXT.MFLDocuments
  Throws:
    WLXTException - If an error occurs accessing a specified stylesheet or MFL document.

### addStylesheet

    public void addStylesheet(java.net.URL stylesheetURI)
                       throws WLXTException

  Add a single stylesheet to the cache. This method causes the specified stylesheet to be added into the XSLTWrapper object's cache.
  Specified by:
    addStylesheet in interface XT

  Parameters:
    `stylesheetURI` - The unique resource identifier for the stylesheet
  Throws:
    WLXTException - If an error occurs accessing the specified stylesheet.
  See Also:
    `URL`

### addStylesheet

    public void addStylesheet(java.net.URL stylesheetURI,
                              org.xml.sax.InputSource stylesheetInput)
                       throws WLXTException

  Add a single stylesheet to the cache. The user can supply the InputSource for the content of the stylesheet. This method causes the specified stylesheet to be added into the XSLTWrapper object's cache.
  Specified by:
    addStylesheet in interface XT

  Parameters:
    `stylesheetURI` - The unique resource identifier for the stylesheet
    `stylesheetInput` - The InputSource for the stylesheet
  Throws:
    WLXTException - If an error occurs accessing the specified stylesheet.
  See Also:
    `URL`

### addMFLDocument

    public void addMFLDocument(java.net.URL mflDocumentURI)
                        throws WLXTException

  Add a MFL document to the cache. This method causes the specified MFL document to be parsed and added to the WLXT object's cache. If a MFL Document has previously been added using this URI, the previous document is replaced.
  Specified by:
    addMFLDocument in interface XT

  Parameters:
    `mflURI` - The unique resource identifier for the MFL document
  Throws:
    WLXTException - If an error occurs accessing the specified MFL document.
  See Also:
    `URL`

### addMFLDocument

    public void addMFLDocument(java.net.URL mflDocumentURI,
                               org.xml.sax.InputSource mflInput)
                        throws WLXTException

  Add a MFL document to the cache. The user can supply the InputSource for the content of the MFL document. This method causes the specified MFL document to be parsed and added to the WLXT object's cache. If a MFL Document has previously been added using this URI, the previous document is replaced.
  Specified by:
    addMFLDocument in interface XT

  Parameters:
    `mflURI` - The unique resource identifier for the MFL document
    `mflInput` - The InputSource for the content of the MFL document
  Throws:
    WLXTException - If an error occurs accessing the specified MFL document.
  See Also:
    `URL`

### addMFLDocument

    public void addMFLDocument(java.net.URL mflDocumentURI,
                               com.bea.wlxt.mfl.MFLRoot mfl)
                        throws WLXTException

  Add a MFL document to the cache. The user can supply the InputSource for the content of the MFL document. This method causes the specified MFL document to be parsed and added to the WLXT object's cache. If a MFL Document has previously been added using this URI, the previous document is replaced.

  Parameters:
    `mflURI` - The unique resource identifier for the MFL document
    `mflInput` - The InputSource for the content of the MFL document
  Throws:
    WLXTException - If an error occurs accessing the specified MFL document.
  See Also:
    `URL`

### addMFLDocument

    public void addMFLDocument(java.net.URL mflDocumentURI,
                               java.io.InputStream mflInput)
                        throws WLXTException

  Specified by:
    addMFLDocument in interface XT

### addMFLDocument

    public void addMFLDocument(java.net.URL mflDocumentURI,
                               java.io.Reader mflInput)
                        throws WLXTException

  Specified by:
    addMFLDocument in interface XT

### extractEncodingFromXMLSource

    public java.lang.String extractEncodingFromXMLSource(java.io.File file)
                                                  throws WLXTException

  This method extracts the xml declaration from a File object and passes it to the overloaded version of the method as a String. Call the overloaded version if you already have a String of the file contents. The overloaded version extractEncodingFromXMLSource(String) is responsible for extracting the encoding, or setting it to a default value if none is found in the document header. The default value is currently the machine's default encoding (usually windows-1252).

  Parameters:
    `file` - is a java.io.File
  Returns:
    a String of the encoding name (an IANA encoding name, not JAVA).

### extractEncodingFromXMLSource

    public java.lang.String extractEncodingFromXMLSource(java.net.URL mflDoc)
                                                  throws WLXTException

  This method extracts the xml declaration from a URL object and passes it to the overloaded version of the method as a String. Call the overloaded version if you already have a String of the file contents. The overloaded version extractEncodingFromXMLSource(String) is responsible for extracting the encoding, or setting it to a default value if none is found in the document header. The default value is currently the machine's default encoding (usually windows-1252).

  Parameters:
    `file` - is a java.net.URL
  Returns:
    a String of the encoding name (an IANA encoding name, not JAVA).

### extractEncodingFromXMLSource

    public java.lang.String extractEncodingFromXMLSource(java.lang.String text)

  This method takes a String of a file's content, and extracts the encoding name.

  Parameters:
    `text` - is a String of the file's text.
  Returns:
    a String of the xml file's encoding. If no encoding declaration is found, we currently return the machine's encoding.

### clearMFLCache

    public void clearMFLCache()

  Clear the MFL cache to that new documents will be fully parsed.
  Specified by:
    clearMFLCache in interface XT

### getMFLDocument

    public com.bea.wlxt.mfl.MFLRoot getMFLDocument(java.net.URL mflDocumentURI)
                                            throws WLXTException

### parse

    public org.w3c.dom.Document parse(java.net.URL mflURI,
                                      java.io.InputStream binaryInput,
                                      java.io.PrintWriter debug,
                                      boolean escape)
                               throws WLXTException

  Parse binary data given in binaryInput argument using the MFL document specified by mflURI. The resulting DOM object is returned to the caller.

  No DTD or schema reference is output in the resulting XML.

  If the MFL document is not found in the cache, then it will be automatically processed and added to the cache.

  Parameters:
    `mflURI` - URL to MFL document that should be used to parse binary data
    `binaryInput` - InputStream of binary data that should be converted to XML
    `debug` - PrintWriter to be used to display parse debug information. May be null to disable debug information.
    `escape` - Escape entity chars &, ', ", <, >
  Throws:
    java.io.WLXTException - If an error occurs converting the binary data to XML

### parse

    public org.w3c.dom.Document parse(java.net.URL mflURI,
                                      java.io.InputStream binaryInput,
                                      java.io.PrintWriter debug)
                               throws WLXTException

  Parse binary data given in binaryInput argument using the MFL document specified by mflURI. The resulting DOM object is returned to the caller.

  No DTD or schema reference is output in the resulting XML.

  If the MFL document is not found in the cache, then it will be automatically processed and added to the cache.

  Specified by:
    parse in interface XT

  Parameters:
    `mflURI` - URL to MFL document that should be used to parse binary data
    `binaryInput` - InputStream of binary data that should be converted to XML
    `debug` - PrintWriter to be used to display parse debug information. May be null to disable debug information.
  Throws:
    java.io.WLXTException - If an error occurs converting the binary data to XML

### parse

    public org.w3c.dom.Document parse(java.net.URL mflURI,
                                      java.io.InputStream binaryInput,
                                      java.lang.String dtdSystemId,
                                      java.io.PrintWriter debug)
                               throws WLXTException

  Parse binary data given in binaryInput argument using the MFL document specified by mflURI. The resulting DOM object is returned to the caller.

  This method has a system id parameter that allows the user to specify the document type definition for the doctype element of the resulting XML.

  If the MFL document is not found in the cache, then it will be automatically processed and added to the cache.

  Specified by:
    parse in interface XT

  Parameters:
    `mflURI` - URL to MFL document that should be used to parse binary data
    `binaryInput` - InputStream of binary data that should be converted to XML
    `dtdSystemId` - The system id of the Document Type Definition. This id will be output in the DOCTYPE element of the resulting XML.
    `debug` - PrintWriter to be used to display parse debug information. May be null to disable debug information.
  Throws:
    java.io.WLXTException - If an error occurs converting the binary data to XML

### parse

    public org.w3c.dom.Document parse(java.net.URL mflURI,
                                      java.io.InputStream binaryInput,
                                      java.lang.String defaultNamespace,
                                      java.lang.String schemaLocation,
                                      java.io.PrintWriter debug)
                               throws WLXTException

  Parse binary data given in binaryInput argument using the MFL document specified by mflURI. The resulting DOM object is returned to the caller.

  This method has default namespace parameter that causes the resulting XML to output a default namespace in the root node of the document. This method also has a schema location parameter cause the resulting XML to reference a schema as its content model.

  If the MFL document is not found in the cache, then it will be automatically processed and added to the cache.

  Specified by:
    parse in interface XT

  Parameters:
    `mflURI` - URL to MFL document that should be used to parse binary data
    `binaryInput` - InputStream of binary data that should be converted to XML
    `defaultNamespace` - can be null, if not null causes a default namespace to be declared in the root node of the resulting XML
    `schemaLocation` - causes a reference to the specified schema to be output in the root node of the resulting XML
    `debug` - PrintWriter to be used to display parse debug information. May be null to disable debug information.
  Throws:
    java.io.WLXTException - If an error occurs converting the binary data to XML

### serialize

    public void serialize(java.net.URL mflURI,
                          org.w3c.dom.Document document,
                          java.io.OutputStream binaryOutput,
                          java.io.PrintWriter debug)
                   throws WLXTException

  Serialize the XML data (given in document argument) to the binary format specified by the MFL document (mflURI). Each node of XML data is converted to the binary format specified by the MFL FieldFormat of the identical name. The order and grouping of the XML nodes must match the order and sequence specified in the MFL document.

  If the MFL document is not found in the cache, then it will be automatically processed and added to the cache.

  Specified by:
    serialize in interface XT

  Parameters:
    `mflURI` - URL to MFL document that should be used to convert the XML data to the binary format
    `document` - XML data that is to be converted to a binary format
    `binaryOutput` - OutputStream that is to contain the binary data
    `debug` - PrintWriter to be used to display (or log) debug information. May be null to disable debug information.
  Throws:
    java.io.WLXTException - If an error occurs converting the XML data to the binary format

### serialize

    public void serialize(java.net.URL mflURI,
                          java.io.InputStream xmlInput,
                          java.io.OutputStream binaryOutput)
                   throws WLXTException

  Serialize the XML data (given in xmlInput argument) to the binary format specified by the MFL document (mflURI). Each node of XML data is converted to the binary format specified by the MFL FieldFormat of the identical name. The order and grouping of the XML nodes must match the order and sequence specified in the MFL document.

  If the MFL document is not found in the cache, then it will be automatically processed and added to the cache.

  Specified by:
    serialize in interface XT

  Parameters:
    `mflURI` - URL to MFL document that should be used to convert the XML data to the binary format
    `xmlInput` - XML data that is to be converted to a binary format
    `binaryOutput` - OutputStream that is to contain the binary data
  Throws:
    java.io.WLXTException - If an error occurs converting the XML data to the binary format

### serialize

    public void serialize(java.net.URL mflURI,
                          org.xml.sax.InputSource xmlInput,
                          java.io.OutputStream binaryOutput)
                   throws WLXTException

  Serialize the XML data (given in xmlInput argument) to the binary format specified by the MFL document (mflURI). Each node of XML data is converted to the binary format specified by the MFL FieldFormat of the identical name. The order and grouping of the XML nodes must match the order and sequence specified in the MFL document.

  If the MFL document is not found in the cache, then it will be automatically processed and added to the cache.

  Specified by:
    serialize in interface XT

  Parameters:
    `mflURI` - URL to MFL document that should be used to convert the XML data to the binary format
    `xmlInput` - XML data that is to be converted to a binary format The user is responsible for setting the encoding in the InputSource by calling the setEncoding method on the InputSource. Not doing so may result in an exception reporting that the encoding in the XML document is not supported.
    `binaryOutput` - OutputStream that is to contain the binary data
  Throws:
    java.io.WLXTException - If an error occurs converting the XML data to the binary format

### serialize

    public void serialize(java.net.URL mflURI,
                          java.io.InputStream xmlInput,
                          java.io.OutputStream binaryOutput,
                          java.io.PrintWriter debug)
                   throws WLXTException

  Serialize the XML data (given in xmlInput argument) to the binary format specified by the MFL document (mflURI). Each node of XML data is converted to the binary format specified by the MFL FieldFormat of the identical name. The order and grouping of the XML nodes must match the order and sequence specified in the MFL document.

  If the MFL document is not found in the cache, then it will be automatically processed and added to the cache.

  Specified by:
    serialize in interface XT

  Parameters:
    `mflURI` - URL to MFL document that should be used to convert the XML data to the binary format
    `xmlInput` - XML data that is to be converted to a binary format
    `binaryOutput` - OutputStream that is to contain the binary data
    `debug` - PrintWriter to be used to display (or log) debug information. May be null to disable debug information.
  Throws:
    java.io.WLXTException - If an error occurs converting the XML data to the binary format

### serialize

    public void serialize(java.net.URL mflURI,
                          org.xml.sax.InputSource xmlInput,
                          java.io.OutputStream binaryOutput,
                          java.io.PrintWriter debug)
                   throws WLXTException

  Serialize the XML data (given in xmlInput argument) to the binary format specified by the MFL document (mflURI). Each node of XML data is converted to the binary format specified by the MFL FieldFormat of the identical name. The order and grouping of the XML nodes must match the order and sequence specified in the MFL document.

  If the MFL document is not found in the cache, then it will be automatically processed and added to the cache.

  Specified by:
    serialize in interface XT

  Parameters:
    `mflURI` - URL to MFL document that should be used to convert the XML data to the binary format
    `xmlInput` - XML data that is to be converted to a binary format
    `binaryOutput` - OutputStream that is to contain the binary data. The user is responsible for setting the encoding in the InputSource by calling the setEncoding method on the InputSource. Not doing so may result in an exception reporting that the encoding in the XML document is not supported.
    `debug` - PrintWriter to be used to display (or log) debug information. May be null to disable debug information.
  Throws:
    java.io.WLXTException - If an error occurs converting the XML data to the binary format

### transform

    public void transform(org.xml.sax.InputSource xmlInput,
                          java.io.OutputStream out,
                          java.net.URL stylesheetURI)
                   throws WLXTException

  Perform an XSLT transformation on the XML input argument using the specified stylesheet. The result of the transformation is written to the output stream parameter. If the stylesheet is not found in the cache, then it will be automatically processed and added to the cache.
  Specified by:
    transform in interface XT

  Parameters:
    `xmlInput` - XML input to XSLT transformation. The user is responsible for setting the encoding in the InputSource by calling the setEncoding method on the InputSource. Not doing so may result in an exception reporting that the encoding in the XML document is not supported.
    `out` - Output stream where the result of transformation is written.
    `stylesheetURI` - The unique resource identifier for the stylesheet to use for the transformation
  Throws:
    java.io.WLXTException - If an error occurs performing the XSLT transformation
  See Also:
    `InputSource`, `URL`

### transform

    public void transform(org.w3c.dom.Document document,
                          java.io.OutputStream out,
                          java.net.URL stylesheetURI)
                   throws WLXTException

  Perform an XSLT transformation on the document argument using the specified stylesheet. The result of the transformation is put in the result parameter.
  Specified by:
    transform in interface XT

  Parameters:
    `document` - DOM Document object to be transformed
    `out` - Output stream where the result of transformation is written.
    `stylesheetURI` - The unique resource identifier for the stylesheet to use for the transformation
  Throws:
    java.io.WLXTException - If an error occurs performing the XSLT transformation
  See Also:
    `Document`, `URL`

### transform

    public org.w3c.dom.Document transform(org.xml.sax.InputSource xmlInput,
                                          java.net.URL stylesheetURI)
                                   throws WLXTException

  Perform an XSLT transformation on the document argument using the specified stylesheet. The result of the transformation is returned.
  Specified by:
    transform in interface XT

  Parameters:
    `xmlInput` - XML input to XSLT transformation. The user is responsible for setting the encoding in the InputSource by calling the setEncoding method on the InputSource. Not doing so may result in an exception reporting that the encoding in the XML document is not supported.
    `stylesheetURI` - The unique resource identifier for the stylesheet to use for the transformation
  Throws:
    java.io.WLXTException - If an error occurs performing the XSLT transformation
  See Also:
    `Document`, `URL`

### transform

    public org.w3c.dom.Document transform(org.w3c.dom.Document document,
                                          java.net.URL stylesheetURI)
                                   throws WLXTException

  Perform an XSLT transformation on the document argument using the specified stylesheet. The result of the transformation is returned.
  Specified by:
    transform in interface XT

  Parameters:
    `document` - DOM Document object to be transformed
    `stylesheetURI` - The unique resource identifier for the stylesheet to use for the transformation
  Throws:
    java.io.WLXTException - If an error occurs performing the XSLT transformation
  See Also:
    `Document`, `URL`

### stringDOM

    public static java.lang.String stringDOM(org.w3c.dom.Document doc,
                                             int initIndent,
                                             int indent)

  Convert a DOM Document object to an XML String.

  Parameters:
    `document` - DOM Document object to be
    `initialIndent` - The number of columns the top level element should be indented.
    `indent` - The number of columns each child element should be indented.
  See Also:
    `Document`

### stringDOM

    public static java.lang.String stringDOM(org.w3c.dom.Document doc,
                                             int initIndent,
                                             int indent,
                                             java.lang.String encoding)

  Convert a DOM Document object to an XML String.

  Parameters:
    `document` - DOM Document object to be
    `initialIndent` - The number of columns the top level element should be indented.
    `indent` - The number of columns each child element should be indented.
  See Also:
    `Document`

### printDOM

    public static void printDOM(org.w3c.dom.Document document,
                                java.io.PrintWriter out)

  Convert a DOM Document object to XML text.

  Parameters:
    `document` - DOM Document object to be
    `out` - PrintWriter that text is to be written to
  See Also:
    `Document`

### printDOM

    public static void printDOM(org.w3c.dom.Document document,
                                java.io.PrintWriter out,
                                int initialIndent,
                                int indent)

  Convert a DOM Document object to XML text.

  Parameters:
    `document` - DOM Document object to be
    `out` - PrintWriter that text is to be written to
    `initialIndent` - The number of columns the top level element should be indented.
    `indent` - The number of columns each child element should be indented.
  See Also:
    `Document`

### printDOM

    public static void printDOM(org.w3c.dom.Node node,
                                java.io.PrintWriter out,
                                int level,
                                int initialIndent,
                                int indent,
                                java.lang.String encoding)

### getXMLText

    public static java.lang.String getXMLText(org.w3c.dom.Document document,
                                              int initialIndent,
                                              int indent)

  Convert a DOM Document object to XML text.

  Parameters:
    `document` - DOM Document object to be
    `out` - PrintWriter that text is to be written to
    `initialIndent` - The number of columns the top level element should be indented.
    `indent` - The number of columns each child element should be indented.
  See Also:
    `Document`

### addNewDataType

    public static void addNewDataType(java.lang.String name,
                                      Bintype binType)

  Add a new User Defined Type to the WLXT runtime engine.

  Parameters:
    `name` - The name of the User Defined Type.
    `binType` - A reference to an object derived from class com.bea.wlxt.bintype.Bintype which implements the UDT.

### removeDataType

    public static void removeDataType(java.lang.String name)

  Remove a User Defined Type from the WLXT engine.

  Parameters:
    `name` - The name of the User Defined Type as passed to addNewDataType.

### checkDeveloperLicense

    public static void checkDeveloperLicense()
                                      throws LicenseException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)